org.appng.api

## Class ScheduledJobResult

- java.lang.Object
- - org.appng.api.ScheduledJobResult

- All Implemented Interfaces:
    Serializable

      public class ScheduledJobResult
      extends Object
      implements Serializable

  A `ScheduledJobResult` can be provided by a `ScheduledJob`. The `ScheduledJobResult` contains some information which will be stored by the scheduler application in the appNG database per job execution.
  Author:
    Claus Stümke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScheduledJobResult.ExecutionResult` simple enum reflecting the results a `ScheduledJob` execution can have.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledJobResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCustomData()` a `ScheduledJob` can provide some application specific custom information such as statistics or log messages to be stored in the appNG Database.
    `ScheduledJobResult.ExecutionResult` | `getResult()` returns the general result of the job in a semantic manner.
    `void` | `setCustomData(String customData)` sets the custom data of a `ScheduledJob` execution
    `void` | `setResult(ScheduledJobResult.ExecutionResult result)` sets the general semantic result of the `ScheduledJob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduledJobResult

          public ScheduledJobResult()

  - ### Method Detail

    - #### getResult

          public ScheduledJobResult.ExecutionResult getResult()

      returns the general result of the job in a semantic manner. Job abortions, because of thrown Exceptions, are handles another way.
      Returns:
        execution result as `enum` `ScheduledJobResult.ExecutionResult`

    - #### getCustomData

          public String getCustomData()

      a `ScheduledJob` can provide some application specific custom information such as statistics or log messages to be stored in the appNG Database. Serialization and de-serialization has to be done by the `ScheduledJob` and any application that consumes the custom information. The size is limited to the size of a TEXT field in the database type used by the running appNG instance. (~64kB on MySQL)
      Returns:
        customData as `String`

    - #### setResult

          public void setResult(ScheduledJobResult.ExecutionResult result)

      sets the general semantic result of the `ScheduledJob`
      Parameters:
        `result` - `result`

    - #### setCustomData

          public void setCustomData(String customData)

      sets the custom data of a `ScheduledJob` execution
      Parameters:
        `customData` - `customData`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.